package br.inf.portalfiscal.bpe.evento;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TEventoMsg", propOrder = {
    "eventoBPe",
    "xmlns"
})
@XmlRootElement(name = "bpeDadosMsg")
public class TEventoMsg {
	@XmlElement(required = true)
	protected TEvento eventoBPe;

    @XmlAttribute(name = "xmlns", required = true)
    protected String xmlns;
	
	public TEventoMsg() {
		super();
	}

	public TEventoMsg(TEvento eventoBPe) {
		super();
		this.eventoBPe = eventoBPe;
	}

	public TEvento getEventoBPe() {
		return eventoBPe;
	}

	public void setEventoBPe(TEvento eventoBPe) {
		this.eventoBPe = eventoBPe;
	}

	public String getXmlns() {
		return xmlns;
	}

	public void setXmlns(String xmlns) {
		this.xmlns = xmlns;
	}
}
